﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Collections;

namespace _292357_DragDropTreeViewToTreeView
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.treeView1.ItemsSource = GenerateItems();
		}


		private ObservableCollection<DataItem> GenerateItems()
		{
			ObservableCollection<DataItem> result = new ObservableCollection<DataItem>();

			for (int i = 0; i < 6; i++)
			{
				DataItem item = new DataItem() { Header = String.Format("Item {0}", i) };
				if (i % 3 == 0)
				{
					for (int j = 0; j < 5; j++)
					{
						item.Children.Add(new DataItem() { Header = String.Format("Item {0}.{1}", i, j) });
					}
				}
				result.Add(item);
			}
			return result;
		}


	}
}